## org.eclipse.ocl.expressions.operations
Class VariableExpOperations

    java.lang.Object
      org.eclipse.ocl.expressions.operations.VariableExpOperations

    public class VariableExpOperations

extends Object

A static utility class that provides operations related to 'Variable Exp' model objects.

The following operations are supported:

- `Check Var Type`

Constructor Summary
`protected` `VariableExpOperations()`

Method Summary

`static

`<C,PM> boolean`

`

`checkVarType(VariableExp<C,PM> variableExp, DiagnosticChain diagnostics, Map<Object,Object> context)`
type = referredVariable.type

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VariableExpOperations

    protected VariableExpOperations()

Method Detail

### checkVarType

    public static <C,PM> boolean checkVarType(VariableExp<C,PM> variableExp,
                                              DiagnosticChain diagnostics,
                                              Map<Object,Object> context)

  type = referredVariable.type

  Parameters:
    `variableExp` - The receiving 'Variable Exp' model object.
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.